# [THESAURUS SYNONYMS Z DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-z-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-z-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-z-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-z-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-z-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l z.json
    193 z.json
  
    $ du -sh z.js*
    4.5M	z.json
    356K	z.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-z-data) 📦

    npm i -S thesaurus-synonyms-z-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-z-data').loadSync()
```

    [ { key: 'zzzing',
        datetime: '2018-03-24 13:41:38',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zzzing/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zzzes',
        datetime: '2018-03-24 13:41:38',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zzzes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zzzed',
        datetime: '2018-03-24 13:41:38',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zzzed/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zzz',
        datetime: '2018-03-24 13:41:38',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zzz/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zulu times',
        datetime: '2018-03-24 13:41:38',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zulu%20times/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zulu time',
        datetime: '2018-03-24 13:41:38',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zulu%20time/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zpgs',
        datetime: '2018-03-28 08:36:13',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zpgs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zpg',
        datetime: '2018-03-28 08:36:13',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zpg/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zots',
        datetime: '2018-03-28 08:36:13',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zots/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zot',
        datetime: '2018-03-28 08:36:14',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zot/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zori',
        datetime: '2018-03-28 08:36:14',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0045200.ogg',
           'http://static.sfdict.com/audio/Z00/Z0045200.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zori/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoot suits',
        datetime: '2018-03-28 08:36:14',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoot%20suits/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoot suit',
        datetime: '2018-03-28 08:36:14',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0044400.ogg',
           'http://static.sfdict.com/audio/Z00/Z0044400.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoot%20suit/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zooms in',
        datetime: '2018-03-28 08:36:15',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zooms%20in/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zooming in',
        datetime: '2018-03-28 08:36:15',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zooming%20in/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoomed in',
        datetime: '2018-03-28 08:36:15',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoomed%20in/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoom-lens',
        datetime: '2018-03-28 08:36:16',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoom-lens/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoom lens',
        datetime: '2018-03-28 08:36:16',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoom%20lens/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoom in',
        datetime: '2018-03-28 08:36:16',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoom%20in/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoology',
        datetime: '2018-03-28 08:36:17',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0040800.ogg',
           'http://static.sfdict.com/audio/Z00/Z0040800.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoology/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoologists',
        datetime: '2018-03-28 08:36:17',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoologists/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoologist',
        datetime: '2018-03-28 08:36:17',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0040700.ogg',
           'http://static.sfdict.com/audio/Z00/Z0040700.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoologist/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoologies',
        datetime: '2018-03-28 08:36:17',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoologies/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoological-garden',
        datetime: '2018-03-28 08:36:18',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoological-garden/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoological parks',
        datetime: '2018-03-28 08:36:20',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoological%20parks/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoological park',
        datetime: '2018-03-28 08:36:20',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoological%20park/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoom',
        datetime: '2018-03-28 08:36:16',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0040900.ogg',
           'http://static.sfdict.com/audio/Z00/Z0040900.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoom/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoological garden',
        datetime: '2018-03-28 08:49:52',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoological%20garden/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoological',
        datetime: '2018-03-28 08:49:53',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0040600.ogg',
           'http://static.sfdict.com/audio/Z00/Z0040600.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoological/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoolike',
        datetime: '2018-03-28 08:49:53',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoolike/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zookeepers',
        datetime: '2018-03-28 08:49:53',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zookeepers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zookeeper',
        datetime: '2018-03-28 08:49:54',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0040400.ogg',
           'http://static.sfdict.com/audio/Z00/Z0040400.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zookeeper/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zonks out',
        datetime: '2018-03-28 08:49:55',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zonks%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zonking out',
        datetime: '2018-03-28 08:49:56',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zonking%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zonkers',
        datetime: '2018-03-28 08:49:56',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zonkers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zonked out',
        datetime: '2018-03-28 08:49:57',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zonked%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zonk out',
        datetime: '2018-03-28 08:49:58',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zonk%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoning out',
        datetime: '2018-03-28 08:49:59',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoning%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoning',
        datetime: '2018-03-28 08:49:59',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0037900.ogg',
           'http://static.sfdict.com/audio/Z00/Z0037900.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoning/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zones out',
        datetime: '2018-03-28 08:49:59',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zones%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoned out',
        datetime: '2018-03-28 08:49:59',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoned%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoned',
        datetime: '2018-03-28 08:50:00',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoned/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zone times',
        datetime: '2018-03-28 08:50:00',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zone%20times/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zone time',
        datetime: '2018-03-28 08:50:00',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zone%20time/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zone out',
        datetime: '2018-03-28 08:50:00',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zone%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zone fossils',
        datetime: '2018-03-28 08:50:00',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zone%20fossils/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zone fossil',
        datetime: '2018-03-28 08:50:00',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zone%20fossil/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zombies',
        datetime: '2018-03-28 08:50:00',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zombies/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zombie',
        datetime: '2018-03-28 08:50:01',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0036800.ogg',
           'http://static.sfdict.com/audio/Z00/Z0036800.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zombie/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoetic',
        datetime: '2018-03-28 08:50:02',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoetic/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zodiacs',
        datetime: '2018-03-28 08:50:02',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zodiacs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zodiac signs',
        datetime: '2018-03-28 08:50:03',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zodiac%20signs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zodiac sign',
        datetime: '2018-03-28 08:50:03',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zodiac%20sign/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zodiac',
        datetime: '2018-03-28 08:50:04',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0035000.ogg',
           'http://static.sfdict.com/audio/Z00/Z0035000.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zodiac/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zizzes',
        datetime: '2018-03-28 08:50:04',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zizzes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zizz',
        datetime: '2018-03-28 08:50:04',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zizz/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zitis',
        datetime: '2018-03-28 08:50:04',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zitis/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'ziti',
        datetime: '2018-03-28 08:50:04',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0033200.ogg',
           'http://static.sfdict.com/audio/Z00/Z0033200.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/ziti/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zit',
        datetime: '2018-03-28 08:50:04',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0032900.ogg',
           'http://static.sfdict.com/audio/Z00/Z0032900.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zit/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zircons',
        datetime: '2018-03-28 08:50:04',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zircons/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zircon',
        datetime: '2018-03-28 08:50:05',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0032200.ogg',
           'http://static.sfdict.com/audio/Z00/Z0032200.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zircon/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zonked',
        datetime: '2018-03-28 08:49:57',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/NEW/NEW16600.ogg',
           'http://static.sfdict.com/audio/NEW/NEW16600.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zonked/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zips up',
        datetime: '2018-03-28 08:50:07',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zips%20up/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zippos',
        datetime: '2018-03-28 08:50:08',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zippos/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zippo',
        datetime: '2018-03-28 08:50:08',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zippo/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipping up',
        datetime: '2018-03-28 08:50:09',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipping%20up/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipping ones lips',
        datetime: '2018-03-28 08:50:09',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipping%20ones%20lips/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipping one lips',
        datetime: '2018-03-28 08:50:10',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipping%20one%20lips/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zoo',
        datetime: '2018-03-28 08:49:55',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0038600.ogg',
           'http://static.sfdict.com/audio/Z00/Z0038600.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zoo/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipping one&amp',
        datetime: '2018-03-28 08:50:20',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipping%20one&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zone',
        datetime: '2018-03-28 08:50:00',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0037700.ogg',
           'http://static.sfdict.com/audio/Z00/Z0037700.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zone/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zippy',
        datetime: '2018-03-28 08:50:08',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0031900.ogg',
           'http://static.sfdict.com/audio/Z00/Z0031900.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zippy/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipping lips',
        datetime: '2018-03-28 09:03:21',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipping%20lips/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zippest',
        datetime: '2018-03-28 09:03:21',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zippest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zippers',
        datetime: '2018-03-28 09:03:21',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zippers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipper',
        datetime: '2018-03-28 09:03:21',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0031500.ogg',
           'http://static.sfdict.com/audio/Z00/Z0031500.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipper/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipped up',
        datetime: '2018-03-28 09:03:21',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipped%20up/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipped ones lips',
        datetime: '2018-03-28 09:03:22',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipped%20ones%20lips/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipped one lips',
        datetime: '2018-03-28 09:03:23',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipped%20one%20lips/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zipped lips',
        datetime: '2018-03-28 09:03:23',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zipped%20lips/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zip-code',
        datetime: '2018-03-28 09:03:23',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0031100.ogg',
           'http://static.sfdict.com/audio/Z00/Z0031100.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zip-code/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zip up',
        datetime: '2018-03-28 09:03:23',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zip%20up/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zip plus fours',
        datetime: '2018-03-28 09:03:24',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zip%20plus%20fours/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zip plus four',
        datetime: '2018-03-28 09:03:25',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zip%20plus%20four/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zip guns',
        datetime: '2018-03-28 09:03:25',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zip%20guns/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zip gun',
        datetime: '2018-03-28 09:03:26',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zip%20gun/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zip drives',
        datetime: '2018-03-28 09:03:26',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zip%20drives/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zip drive',
        datetime: '2018-03-28 09:03:27',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zip%20drive/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zip code',
        datetime: '2018-03-28 09:03:27',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zip%20code/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zions',
        datetime: '2018-03-28 09:03:27',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zion',
        datetime: '2018-03-28 09:03:28',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0030400.ogg',
           'http://static.sfdict.com/audio/Z00/Z0030400.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zion/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zingaro',
        datetime: '2018-03-28 09:03:48',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0028700.ogg',
           'http://static.sfdict.com/audio/Z00/Z0028700.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zingaro/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zingari',
        datetime: '2018-03-28 09:03:48',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zingari/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zingare',
        datetime: '2018-03-28 09:03:48',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zingare/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zingara',
        datetime: '2018-03-28 09:03:48',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0028500.ogg',
           'http://static.sfdict.com/audio/Z00/Z0028500.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zingara/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zincs',
        datetime: '2018-03-28 09:03:48',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zincs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zinc anodes',
        datetime: '2018-03-28 09:03:48',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zinc%20anodes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zinc anode',
        datetime: '2018-03-28 09:03:49',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zinc%20anode/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zinc',
        datetime: '2018-03-28 09:03:49',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Z00/Z0026700.ogg',
           'http://static.sfdict.com/audio/Z00/Z0026700.mp3' ],
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zinc/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      { key: 'zillions',
        datetime: '2018-03-28 09:03:49',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zillions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' },
      ... 93 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-z-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'zzzes'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-z-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('zzzes');
```

    { key: 'zzzes',
        datetime: '2018-03-24 13:41:38',
        page_number: 1,
        letter: 'z',
        word_url: 'http://www.thesaurus.com/browse/zzzes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/z/1' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-z-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('zzzes', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms:
       [ { txt: 'verb', words: [Array], ttl: 'suspend consciousness' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      antonyms:
       [ { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] } ],
      related:
       [ { url: 'http://www.thesaurus.com/browse/sleep',
           text: 'sleep',
           words: [Array],
           def: 'verb. suspend consciousness' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - z time

```json
{
  "key": "z time",
  "datetime": "2018-03-28 09:30:20",
  "page_number": 1,
  "letter": "z",
  "word_url": "http://www.thesaurus.com/browse/z%20time/1",
  "data": {
    "synonyms": [
      {
        "txt": "noun",
        "words": [
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/Greenwich%20Mean%20Time",
            "text": "Greenwich Mean Time",
            "length": 3,
            "complexity": 2,
            "id": 1
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/International%20Atomic%20Time",
            "text": "International Atomic Time",
            "length": 3,
            "complexity": 3,
            "id": 2
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/UTC",
            "text": "UTC",
            "length": 1,
            "complexity": 1,
            "id": 3
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/Universal%20Coordinated%20Time",
            "text": "Universal Coordinated Time",
            "length": 3,
            "complexity": 2,
            "id": 4
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/Universal%20Time%20Coordinated",
            "text": "Universal Time Coordinated",
            "length": 3,
            "complexity": 3,
            "id": 5
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/World%20Time",
            "text": "World Time",
            "length": 1,
            "complexity": 2,
            "id": 6
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/ZULU%20Time",
            "text": "ZULU Time",
            "length": 1,
            "complexity": 2,
            "id": 7
          }
        ],
        "ttl": "greenwich mean time with leap seconds"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/coordinated%20universal%20time",
        "text": "coordinated universal time",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/Greenwich%20Mean%20Time",
            "word": "Greenwich Mean Time"
          },
          {
            "url": "http://www.thesaurus.com/browse/International%20Atomic%20Time",
            "word": "International Atomic Time"
          },
          {
            "url": "http://www.thesaurus.com/browse/UTC",
            "word": "UTC"
          },
          {
            "url": "http://www.thesaurus.com/browse/Universal%20Coordinated%20Time",
            "word": "Universal Coordinated Time"
          },
          {
            "url": "http://www.thesaurus.com/browse/Universal%20Time%20Coordinated",
            "word": "Universal Time Coordinated"
          },
          {
            "url": "http://www.thesaurus.com/browse/World%20Time",
            "word": "World Time"
          },
          {
            "url": "http://www.thesaurus.com/browse/Z%20time",
            "word": "Z time"
          },
          {
            "url": "http://www.thesaurus.com/browse/ZULU%20Time",
            "word": "ZULU Time"
          }
        ],
        "def": "noun. greenwich mean time with leap seconds"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/z/1"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
